> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Payment Eligibility

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json POST /payment_intents/check_eligibility
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /payment_intents/check_eligibility:
    post:
      summary: Check Payment Eligibility
      operationId: check-payment-eligiblity
      parameters:
        - name: Authorization
          in: header
          description: Fintoc API Secret Key
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
                - currency
                - sender_account
              properties:
                amount:
                  type: integer
                  description: >-
                    Amount to pay, [represented as an integer](doc:currencies).
                    This value must always be greater than 0
                  default: 1000
                  format: int32
                currency:
                  type: string
                  description: >-
                    [Currency ISO
                    code](https://www.iso.org/iso-4217-currency-codes.html). For
                    now, we only support CLP and MXN.
                  default: CLP
                sender_account:
                  type: object
                  description: Account information to validate payment
                  required:
                    - holder_id
                    - institution_id
                  properties:
                    holder_id:
                      type: string
                      description: Identifier of the owner of the account
                      default: '195669317'
                    institution_id:
                      type: string
                      description: Account's institution id.
                      default: cl_banco_de_chile
                recipient_account:
                  type: object
                  description: >-
                    Recipient account to validate payments with. Only send this
                    if you're using Direct Payments
                  properties:
                    holder_id:
                      type: string
                      description: >-
                        Identifier of the owner of the account. In Chile, it
                        corresponds to a RUT and in Mexico it's either an RFC or
                        CURP.
                      default: '183917137'
                    number:
                      type: string
                      description: >-
                        Account number. Does not include hyphens or prefixed
                        zeros
                      default: '123456'
                    type:
                      type: string
                      description: >-
                        Account type. It can be checking_account or
                        sight_account
                      default: checking_account
                    institution_id:
                      type: string
                      description: Account's institution id
                      default: cl_banco_de_chile
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````